From 494c1952cdaa4aeba866114c56defcb8b5d47e5c Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Date: Sat, 13 Feb 2021 09:58:27 +0100
Subject: [PATCH 6/8] scripts: indents buildtools.mk

---
 scripts/mk/buildtools.mk | 44 ++++++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

diff --git a/scripts/mk/buildtools.mk b/scripts/mk/buildtools.mk
index f05a9177e..79c1520e0 100644
--- a/scripts/mk/buildtools.mk
+++ b/scripts/mk/buildtools.mk
@@ -34,28 +34,32 @@ include $(dpkg_datadir)/architecture.mk
 # not defined or contain the make built-in defaults. On native builds if
 # TOOL is defined and TOOL_FOR_BUILD is not, we fallback to use TOOL.
 define dpkg_buildtool_setvar
-ifeq (,$(findstring $(3),$(DEB_BUILD_OPTIONS)))
-ifeq ($(origin $(1)),default)
-$(1) = $(DEB_HOST_GNU_TYPE)-$(2)
-else
-$(1) ?= $(DEB_HOST_GNU_TYPE)-$(2)
-endif
 
-# On native build fallback to use TOOL if that's defined.
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-$(1)_FOR_BUILD ?= $$($(1))
-else
-$(1)_FOR_BUILD ?= $(DEB_BUILD_GNU_TYPE)-$(2)
-endif
-else
-$(1) = :
-$(1)_FOR_BUILD = :
-endif
+  ifeq (,$(findstring $(3),$(DEB_BUILD_OPTIONS)))
+
+    ifeq ($(origin $(1)),default)
+      $(1) = $(DEB_HOST_GNU_TYPE)-$(2)
+    else
+      $(1) ?= $(DEB_HOST_GNU_TYPE)-$(2)
+    endif
+
+    # On native build fallback to use TOOL if that's defined.
+    ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+      $(1)_FOR_BUILD ?= $$($(1))
+    else
+      $(1)_FOR_BUILD ?= $(DEB_BUILD_GNU_TYPE)-$(2)
+    endif
+
+  else
+    $(1) = :
+    $(1)_FOR_BUILD = :
+  endif
+
+  ifdef DPKG_EXPORT_BUILDTOOLS
+    export $(1)
+    export $(1)_FOR_BUILD
+  endif
 
-ifdef DPKG_EXPORT_BUILDTOOLS
-export $(1)
-export $(1)_FOR_BUILD
-endif
 endef
 
 $(eval $(call dpkg_buildtool_setvar,AS,as))
-- 
2.30.2

